module approx_model(
 input logic signed [8:0] pp0, pp1, pp2, pp3,
 input logic [3:0] E,
 output logic signed [11:0] pp0_out,
 output logic signed [10:0] pp1_out,
 output logic signed [10:0] pp2_out,
 output logic signed [9:0]  pp3_out
);
reg [6:0]pp_0;

always @ * begin 
  // // set column 0 to 0
  // pp0[0] = 1'b0; 
/*
  // set last 5 bits of row 0 to 5'b10000;
  pp0[4:0] = 5'b10000;

  // set last 3 bits of row 1 to 3'b100;
  pp1[2:0] = 3'b100;

  // set last bit of row 2 to 3'b1;
  pp2[0]= 1'b1;
*/
  // pp0_out <= {E[0],~E[0],~E[0],pp0[8:2], 2'b00};
  // pp1_out <= {1'b1,E[1],pp1[8:3], 3'b100};
  // pp2_out <= {1'b1,E[2],pp2[8:1],1'b1};
  // pp3_out <= {E[3],pp3};


  pp0_out <= {E[0],~E[0],~E[0],pp0};
  pp1_out <= {1'b1,E[1],pp1};
  pp2_out <= {1'b1,E[2],pp2};
  pp3_out <= {E[3],pp3};

end

endmodule
